Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.ejb
Class ContainerManagedTxnHandlerImpl

`java.lang.Object
oracle.jbo.server.DefaultTxnHandlerImpl
oracle.jbo.server.DefaultJTATxnHandlerImpl
oracle.jbo.server.ejb.ContainerManagedTxnHandlerImpl`

All Implemented Interfaces:
  JTATransactionHandler, TransactionHandler

public class ContainerManagedTxnHandlerImpl
extends DefaultJTATxnHandlerImpl

implementation

Version:
  INTERNAL

Constructor Summary
`ContainerManagedTxnHandlerImpl()`

Method Summary
`void` | `afterBegin()`
`void` | `afterCompletion(boolean committed)`
`void` | `beforeCompletion()`
`void` | `doRegister()`
`void` | `resume()`
`void` | `suspend()`

Methods inherited from class oracle.jbo.server.DefaultJTATxnHandlerImpl
`beginActivation, beginPassivation, commit, disconnect, endActivation, endPassivation, getDBTransaction, handleCommit, handleRollback, postChanges, registerSynchronization, rollback`

Methods inherited from class oracle.jbo.server.DefaultTxnHandlerImpl
`begin, end, handleClose, handleOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.server.TransactionHandler
`begin, handleClose, handleOpen`

Constructor Detail

### ContainerManagedTxnHandlerImpl

    public ContainerManagedTxnHandlerImpl()

Method Detail

### doRegister

    public void doRegister()

  Specified by:
    `doRegister` in class `DefaultJTATxnHandlerImpl`

### afterBegin

    public void afterBegin()
                    throws JboException

  Throws:
    `JboException`

### beforeCompletion

    public void beforeCompletion()
                          throws JboException

  Throws:
    `JboException`

### afterCompletion

    public void afterCompletion(boolean committed)
                         throws JboException

  Throws:
    `JboException`

### suspend

    public void suspend()

  Specified by:
    `suspend` in interface `TransactionHandler`
  Overrides:
    `suspend` in class `DefaultTxnHandlerImpl`

### resume

    public void resume()

  Specified by:
    `resume` in interface `TransactionHandler`
  Overrides:
    `resume` in class `DefaultTxnHandlerImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.